Subject: bug#54950: Connecting to remote guix daemon with encrypted SSH key fails

From: Arun Isaac <[email-masked]>
Date: Fri, 15 Apr 2022 16:39:25 +0530

I have an SSH key encrypted with a passphrase. When I try connecting to
a remote guix daemon with that encrypted SSH key, it fails with the
following error message.

--8<---------------cut here---------------start------------->8---
$ GUIX_DAEMON_SOCKET=ssh://foo guix build -v3 hello
guix build: error: SSH authentication failed for 'foo': Access
denied for 'publickey'. Authentication that can continue: publickey
--8<---------------cut here---------------end--------------->8---

I expected some kind of prompt asking me for the passphrase, but did not
get any. The same command works if I set up ssh-agent and add the
relevant key to it.